;; (C) Copyright Collin J. Doering 2014
;;
;; This program is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;; 
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;; 
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

;; File: theming.el
;; Author: Collin J. Doering <collin.doering@rekahsoft.ca>
;; Date: Oct 22, 2014

;; Add collection of themes path
(add-to-list 'custom-theme-load-path "~/.emacs.d/themes")

;; Use the built-in theming in emacs 24
(load-theme 'manoj-transparent t)

;; On the creation of each frame checks whether it is a XWindow and if so sets
;; the background to black and the foreground to WhiteSmoke
;; (add-hook 'after-make-frame-functions
;; 	  (lambda (frames)
;; 	    (select-frame frame)
;; 	    (if window-system (progn
;; 				(set-background-color "black")
;; 				(set-foreground-color "WhiteSmoke")))))
